# $Revision: 1.109 $, $Date: 2007-08-25 09:43:50 $
Summary:	Applnk - base directories tree used for storing desktop/kdelnk menu entries
Summary(pl.UTF-8):	Applnk - bazowa struktura katalogów z opisami do plików desktop/kdelnk
Name:		applnk
Version:	1.9.6
Release:	2
License:	GPL
Group:		Base
Source0:	ftp://ep09.pld-linux.org/software/applnk/%{name}-%{version}.tar.bz2
# Source0-md5:	bc7228fc59c908a6477046a3c646efa8
BuildRequires:	autoconf
BuildRequires:	automake
Provides:	xdg-menus
Conflicts:	gnome-menus
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xdgconfdir	/etc/xdg
%define		_xdgdatadir	%{_datadir}/desktop-directories

%description
Base directories tree used for storing desktop/kdelnk menu entries.
Package also contains full description of this hierarchy (descriptions
with translations and menu order).

%description -l pl.UTF-8
Bazowa struktura katalogów używana do przechowywania plików
desktop/kdelnk opisu elementów menu ze spisem aplikacji. Pakiet
zawiera pełny opis hierarchii katalogów (w plikach .directory) wraz z
tłumaczeniami tych opisów, a także opis sposobu uszeregowania
grup/elementów katalogów.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_xdgconfdir}/menus/applications-merged

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS
%dir %{_xdgconfdir}/menus
%dir %{_xdgconfdir}/menus/applications-merged
%{_xdgconfdir}/menus/*.menu
%{_xdgdatadir}
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: applnk.spec,v $
Revision 1.109  2007-08-25 09:43:50  qboosh
- unified

Revision 1.108  2007/08/06 10:35:07  patrys
- drop mutual obsoletes and add conflicts

Revision 1.107  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.106  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.105  2006/10/03 14:16:21  pluto
- fetch source.

Revision 1.104  2006/10/02 23:30:44  adgor
- 1.9.6
- Merged patches
- Merged gnome menus

Revision 1.103  2006/08/23 10:26:18  havner
- real rel 21

Revision 1.102  2006/08/23 10:12:49  havner
- docklets moved to filesystem.spec
- rel 21

Revision 1.101  2006/04/24 01:06:26  ankry
- support Office;Finance; category, rel. 20

Revision 1.100  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.99  2005/07/28 09:19:47  havner
- rel 19

Revision 1.98  2005/07/28 09:15:25  havner
- leave gnome settings trunk from gnome.patch

Revision 1.97  2005/07/28 08:49:25  havner
- rel 18

Revision 1.96  2005/07/27 21:50:21  freetz
- killed gnome patch

Revision 1.95  2005/06/16 19:09:45  sparky
- catalan and spanish translation
- rel. 17, STBR

Revision 1.94  2005/06/14 18:04:03  charles
- category DiscBurning moved from Utility to AudioVideo
   (-category.patch - see PLD-doc/vfolders)
- unified (install 	instead of cp)
- rel. 16, STBR

Revision 1.93  2005/05/23 15:38:41  paladine
- P: xdg-menus, rel. 15

Revision 1.92  2005/05/21 15:45:03  freetz
- readded settings.menu (it really works now)
- no %%config for menu files: allow flawless installation of an alterantive
  solution (for now only gnome-menus), rel.14

Revision 1.91  2005/05/21 11:47:32  speedy
- obsolete: gnome-menus-filter
- release 13

Revision 1.90  2005/05/20 20:42:46  freetz
- more gnome specific addaptations, patch added, dropped settings.menu
  rel.12

Revision 1.89  2005/03/30 23:04:28  havner
- settings.menu, rel 11

Revision 1.88  2005/03/30 13:34:28  havner
- rel 10

Revision 1.87  2005/03/30 13:33:48  havner
- system patch (remove X-Capplet form system settings)

Revision 1.86  2005/03/28 11:52:15  havner
- rel 9

Revision 1.85  2005/03/28 10:33:02  freetz
- added gnome specific preferences menu, rel. 8.1 (should solve control-
  center "emtpy" window problem)

Revision 1.84  2005/03/27 21:30:05  adgor
- 1.9.5
- Removed already implemented patches

Revision 1.83  2005/03/25 16:16:56  darekr
- %config(noreplace), %verify()

Revision 1.82  2005/02/13 18:50:51  grzegol
- added O: gnome-menus

Revision 1.81  2005/02/09 00:04:39  grzegol
- added type_directory patch (adds Type=Directory to each .directory file -
  it's required by Desktop Entry Specification)
- rel. 8

Revision 1.80  2004/11/27 12:48:24  havner
- rel 7

Revision 1.79  2004/11/27 12:42:30  havner
- xfce4 patch

Revision 1.78  2004/10/27 11:41:47  ankry
- typo, rel. 6

Revision 1.77  2004/10/27 10:45:28  ankry
- rel. 5, changelog fix

Revision 1.76  2004/10/27 10:44:29  ankry
- added %%{_desktopdir}/docklets and SystemSetup patch

Revision 1.75  2004/09/17 15:49:14  havner
- rel 4 for fixed capplet

Revision 1.74  2004/09/17 01:34:59  havner
- rel 3, fixed capplet patch

Revision 1.73  2004/09/16 20:25:52  havner
- capplet patch
- rel 2

Revision 1.72  2004/08/23 16:25:33  djurban
- done, ac

Revision 1.71  2004/08/23 15:48:15  djurban
- begin 1.9.4

Revision 1.70  2004/08/07 16:15:55  havner
- added xfce4 settings submenu
- rel 4

Revision 1.69  2004/07/27 21:07:18  havner
- rel 3

Revision 1.68  2004/07/26 10:43:30  grzegol
- updated gnome-settings patch (s/GNOME settings/GNOME/); rel. 2.2

Revision 1.67  2004/07/24 14:52:48  grzegol
- added Settings->GNOME Settings submenu (gnome-settings.patch,
  package_gnome_accessibility.png, package_gnome_advanced.png,
	package_gnome_system.png)
- rel. 2.1 (works for me, but need testing/discuss)

Revision 1.66  2004/07/21 15:12:05  wiget
- added xmllint.patch (fix DOCTYPE declaration and one typo)
- release 2

Revision 1.65  2004/07/18 19:15:20  djurban
- 1.9.3, vfolders 0.8 enabled, only thing missing before 2.0.0 is ca 10 icons

Revision 1.64  2004/06/27 14:30:49  adgor
- 1.9.2

Revision 1.63  2004/03/13 15:11:23  adgor
- 1.9.1

Revision 1.62  2004/02/22 12:56:07  adgor
- Fixed source url

Revision 1.61  2004/01/11 00:27:18  eothane
- proper ep09 address

Revision 1.60  2003/12/04 16:27:29  adgor
- 1.9.0
- applnk tree no longer supported

Revision 1.59  2003/11/04 13:50:42  adgor
- 1.6.5

Revision 1.58  2003/11/04 11:29:44  adgor
- Fixes pointed by P. Sikora - thx

Revision 1.57  2003/10/30 11:12:09  adgor
- Added applications-merged dir
- Cosmetics

Revision 1.56  2003/09/26 10:18:45  adgor
- /etc/xdg is now owned by XFree86-libs

Revision 1.55  2003/09/25 18:23:38  adgor
- 1.6.4

Revision 1.54  2003/09/09 10:24:19  ankry
- spaces -> tab

Revision 1.53  2003/08/06 16:13:17  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.52  2003/06/15 17:51:23  adgor
- 1.6.3

Revision 1.51  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.50  2003/05/25 05:45:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/05/10 11:45:56  adgor
- 1.6.2

Revision 1.48  2003/04/18 17:17:12  adgor
- Updated to 1.6.1
- Cosmetics

Revision 1.47  2003/04/03 14:13:57  adgor
- Updated to 1.6

Revision 1.46  2003/03/23 22:11:41  adgor
- Cosmetics

Revision 1.45  2003/03/23 22:09:01  adgor
- Vfolders support

Revision 1.44  2003/01/21 22:04:24  radek
- removed Source0 URL, it points to a nice "550 No such file".
  Like a lot of the ftp.pld.org.pl URIs I see in spec files...

Revision 1.43  2003/01/21 21:19:30  ankry
- version 1.5.16
- use %%{_pixmapsdir} and %%{applnkdir} in %%install

Revision 1.42  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.41  2002/11/17 01:00:14  kloczek
new version 1.5.15: more icons.

Revision 1.40  2002/11/09 17:17:37  kloczek
new version 1.5.14:
- more icons for menu items.

Revision 1.39  2002/11/07 00:39:57  ankry
- added source URL

Revision 1.38  2002/11/06 07:27:38  kloczek
new version 1.5.13:
- added Games/RPG,
- more icons in 48x48 size.

Revision 1.37  2002/10/30 12:47:45  ankry
- version 1.5.11 from cvs:
 -- moved Office/Editors and Develepment/Editors to Editors/{,HTML,XML,Man}
 -- added Scientific/Astronomy
 -- added toplevel Edutainment (any better choice ?)
 -- change internal names for Games/Strategy (to tactic-strategy)
 -- more private dirs listed in .order files

Revision 1.36  2002/09/29 13:01:32  kloczek
- more macros.

Revision 1.35  2002/09/22 12:37:04  adgor
- Updated to 1.5.10

Revision 1.34  2002/09/09 12:13:47  blues
- 1.5.9 - STBR

Revision 1.33  2002/09/06 13:36:14  blues
- 1.5.8 - STBR

Revision 1.32  2002/05/21 23:12:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/04/25 15:47:31  arturs
fixed a small typo

Revision 1.30  2002/04/16 16:26:57  gotar
- 1.5.7 once more (this time I've put sources manually).

Revision 1.29  2002/04/08 07:54:39  ankry
- back to version 1.5.6; increase release instead of version; there is no
  1.5.7 sources, so it did not build (--> epoch increase not necessary)

Revision 1.28  2002/04/06 08:03:43  ankry
- removed non-existing URL; source still does not exist in CVS - revert to
  1.5.6 ?

Revision 1.27  2002/04/05 19:05:18  gotar
- s/Scientific/Science,
- ver 1.5.7.

Revision 1.26  2002/02/25 21:49:13  kloczek
New version 1.5.6: added System/Administration submenu.

Revision 1.25  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:12:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/12/16 02:37:43  kloczek
new versiion 1.5.5:
- added Help submenu,
- icons for Games/*.

Revision 1.21  2001/11/26 15:37:43  kloczek
- new version 1.5.4: added Games/Board menu.

Revision 1.20  2001/11/21 13:20:58  kloczek
new version 1.5.3:
- added Terminals submenu.

Revision 1.19  2001/09/06 18:47:19  kloczek
- new version 1.5.2: added Games/{Arcade,Card}.

Revision 1.18  2001/07/29 17:04:35  jajcus
- Version: 1.5.1
	- UTF-8 translation (jajcus)
	- Scientific directory added (roman,jajcus)
- s/configur2_13/configure/ (version 1.5.1 was prepared with new autoconf)
- Conflicts: wmconfig < 0.9.10-5 (older wmconfig don't support UTF-8)

Revision 1.17  2001/07/28 16:24:08  yaro
- configure -> configure2_13

Revision 1.16  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.15  2001/07/10 18:38:09  blues
-typo

Revision 1.14  2001/03/15 14:02:20  michuz
- updated to 1.5.0

Revision 1.13  2001/02/17 00:57:42  michuz
- /bz2/gz/s

Revision 1.12  2001/02/17 00:56:36  michuz
- 1.4.3
- ICQ, IRC replaced by Communications

Revision 1.11  2000/12/30 02:48:43  kloczek
- added using new applnk automake/autoconf suit.

Revision 1.10  2000/12/30 01:46:09  michuz
- 1.4.2
- in Settings/.order changed Gnome to GNOME

Revision 1.9  2000/12/30 01:31:15  michuz
- removed %%{_applnkdir}/Settings/Peripherals

Revision 1.8  2000/12/12 03:25:34  michuz
- version 1.4
- added support for kde2
- added Games/.order
- added Settings/Peripherals
- removed Internet, Networking, Applications

Revision 1.7  2000/06/05 05:32:09  kloczek
- Version: 1.3.

Revision 1.6  2000/06/05 05:19:10  kloczek
new 1.3 version:
- added Games/Strategy (me),
- fixed Office/PIMs/.directory (michuz).

Revision 1.5  2000/05/31 12:21:18  kloczek
new 1.2 version:
- more .order and .directory files (michuz),
- added Office/{Misc,Presentations,Databases,PIMs} and Graphics/Viewers
  subdirectories (michuz),

Revision 1.4  2000/05/28 10:16:18  kloczek
- s/gz/bz2/

Revision 1.3  2000/05/28 10:15:07  kloczek
- new version 1.1,
- new subdirectiories: Office/{Spreadsheets,Wordprocessors},
  Utilities/CD-RW, Network/{Misc,Mail,IRC} (michuz).

Revision 1.2  2000/05/26 22:45:51  bonkey
- some corrections in %%description

Revision 1.1  2000/05/26 22:37:59  kloczek
- from scrach.
